red_scarf_engine_srcs = [
  'src/main.c'
  ]

sdl3_dep = dependency('sdl3',
                      version : '>=3.4.0')

executable(
  'RedScarfEngine',
  red_scarf_engine_srcs,
  include_directories : [
    '../'
    ],
  dependencies : [
                  sdl3_dep,
                  ],
  link_with: rse_graphics_lib,
  )
